Subject: Re: [MOBILE-IP] Comparison of Fast Handoff and Proactive Handoff

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Fri, 14 Jul 2000 12:12:21 +0200

Hello James

>  >OK, so my understanding was correct.
>  >However, you state in your draft that proactive FA plus Regional
>  >Registrations provide a complete fast-handoff solution for
>  Mobile IP.
>  >I think proactive FA is not compatible with Regional Registrations.
>  >
>
>  Why do you think it isn't compatible?
>

OK, please correct me if I'm wrong.
In your draft you create temporary bindings for the MN in the GFA and
new RFA without having the MN issue a Regional Registration Request.
I think that this is not according to the Regional Reg'n draft.

>
>  It certainly becomes aware when the advertisement shows up, and could
>  reject it at that point.

But the new FA already has a short/temporary binding for the MN and
is receiving the MN's traffic. The MN may not want that FA to receive
it's traffic at all and it can't control this.

>  However, I think this discussion is hiding  the real issue.
>  The fundamental
>  difference between our proposal and yours is who has ultimate
>  control over handoff, the network or the mobile .

This is not the difference. I think the difference is that your
draft only allows network control while we are allowing both.
Mobile IPv4 allows the MN to take a decision on performing a
registration (e.g. movement detection) and also allows the FA
to accept/reject it before any binding is created. So we leave
both options open.

Indeed, if it is decided that only network control is required
then your draft fits the requirement. However, if the option
to have MN control is needed then it does not satisfy this.

To clarify my point: In your draft, the new FA already has a
binding for the MN when the time comes for the MN to take
control of the new registration. So the new FA is already
receiving traffic for the MN, and the MN may then decide whether
to extend the binding or not. IMO that is different from taking
control of the L3 handoff. In your draft the MN may decide to
reject the L3 handoff (binding with the new FA) after the L3
handoff (binding with new FA) has happened. This is the issue
I was trying to bring to your attention.

We are
>  proposing that the
>  network is in a much better position to perform functions
>  such as load
>  balancing, QoS determination, etc, especially in 3G-type
>  networks, and therefore
>  the network should be the final arbiter of where the mobile
>  is placed. In your
>  proposal, the mobile gets the final say over whether it will
>  or will not take a
>  handoff, so the network's decision could be overridden.

The MN does not get the final say since the new RFA/intermediate
RFA/GFA may reject the Registration. Also, the network may even not
advertise the new RFA to the MN if the network decides that this L3
handoff should not happen.

>  I realize that the "mobile gets final say" position is the
>  traditional
>  mobile IP position, but remember that originated from a wireless
>  LAN base.

As above, I don't agree since the FA may reject a Registration
Request and thus the network gets the final say.

> The economics and engineering of 3G wireless WANs are
>  considerably different. And our proposal isn't saying that "network
>  gets the final say" is the right solution for all cases. In
>  a wireless
>  LAN, it may work just fine.

Yes, I also know something about 3G ;)
However you seem to be taking radio-specific L2 considerations when
saying that the "network gets the final say". We are working at L3
though and I'm not sure whether we should be too dependent on
technology-specific requirements now.

>  Here's a quote from your draft:
>
>     This solution assumes that the FA with which the MN is currently
>     registered is aware of the IP address of the "new" FA
>  which the MN is
>     moving to. The method by which the current FA is informed
>  of this may
>     depend on interaction with L2 and is outside the scope of
>  this draft.
>
>  That sounds like an L2 advertisment to me.
>

No. Nothing to do with an advertisement. It relates to the radio
network specific messaging and control in the network.

>  >>
>  >>  I agree that advertisements must be issued sparingly, but
>  >>  when should the FA
>  >>  issue them? That is the issue at hand.
>  >
>  >We cover this in our draft.
>  >
>
>  Your draft makes alot of assumptions about L2 interaction (including
>  passage cited the above) with mobile IP that IMHO are trying to
>  get around the need for a multicast L3 FA Advert. Our draft makes
>  no such assumptions.

Again, I think there is some misunderstanding regarding the advertisement
you mentioned before. Our assumptions on L2 are quite simple.

> We only require that:
>
>  1) The old FA, the mobile, and/or the new FA in conjunction
>  be able to provide
>  information about power level from possible candidate new
>  RANs/access points, so the old FA can make a determination, based on
>  information about network load and QoS availability, which
>  candidate new FA
>  is the appropriate one to hand the mobile off to.

I don't understand your focus on power levels and radio issues.
Your underlying principle seems to be to replace L2 functionality
and messaging with L3. I don't think this is part of L3 Fast handoffs.

>
>  I think Pat and I agree that the mobile IP working group is not
>  the place to get into details about where and how L2 data gets
>  propagated over L3. However, I think we also agree that
>  there are some
>  3G scenerios where exchanging L2 data over L3 is necessary. Whether
>  IETF gets involved in specifying this is an open question at
>  this point.

OK, but what is not clear to me is that your explanations above
often rely on this assumption. My understanding is that the proactive
draft is a step in that direction.

Regards,
Karim

---

From: "[email-masked]" <[email-masked]>
Date: Fri, 14 Jul 2000 07:47:54 -0700

> I think that this is not according to the Regional Reg'n draft.

I believe that we state that in our draft, the Regional Reg draft is not
enough, which is why we add more functionality on top of the infrastructure
introduced by the Regional Draft. The Regional Draft is very useful, and
provides a mechanism to provide faster hand-off than RFC 2002 does, but we
believe that the network has to be more pro-active in order to minimize
service disruption. This is in line with how the cellular networks work today,
but we are providing the Mobile with additional flexibility, allowing it to
NOT register with a new FA.

> it's traffic at all and it can't control this.

Karim, there are LOTS of routers in the network that will be receiving your
traffic before the FA will, and this is completely outside of your control.

What exactly is your issue?

> to accept/reject it before any binding is created. So we leave

While we believe that the fastest method is best, which involves a more
proactive foreign agent.

> handoff should not happen.

Well, if the local policy does not allow the new FA to advertise service, I
would think there would be a reason correct. Similarly, in your scheme, the
Mobile would receive a registration error in the reply. So I don't see our
schemes are being any different here.

Our scheme actually has the ability of allowing the FA to decide whether it
will even provide service, and perhaps it cannot due to overloaded conditions.
If such an event does occur, the network can then find another FA that *could*
provide service, and has the bandwidth to do so. In the typical RFC2002
network, the mobile would have to solicit the various FAs and find one that
will accept to provide service. I believe that the former provides a much
smoother hand-off.

> Request and thus the network gets the final say.

That is *always* the case. The FA ALWAYS has the option to reject a
registration, regardless of the hand-off proposal.

> and messaging with L3. I don't think this is part of L3 Fast handoffs.

Not at all. We simply assume that the radio network is in place, and create an
interface between the radio interface and the Mobile IP stack on the Foreign
Agent, an API of sorts, to get triggered on specific events. We do not carry,
nor propagate L2 information.

> draft is a step in that direction.

Not at all.

PatC